package com.springboot.template;

import javax.servlet.ServletContextEvent;

import org.springframework.stereotype.Component;

/**
 * 上下文监听说明：
 * 1.必须放在启动类平级目录
 * @author wangbin
 *
 */
@Component
public class BootstrapContextListener implements javax.servlet.ServletContextListener{
	@Override
	public void contextInitialized(ServletContextEvent sce) {
		System.out.println("ServletContextListener:contextInitialized()");
	}
	
	@Override
	public void contextDestroyed(ServletContextEvent sce) {
		System.out.println("ServletContextListener:contextDestroyed()");
	}
}
