package com.springboot.template.redis;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

@Component
public class HelloRedis {
	@Autowired
	private RedisTemplate redisTemplate;
	
	public String getName() {
		Object name = this.redisTemplate.opsForValue().get("name");
		if(name == null) {
			return "没有在Redis中找到name";
		}else {
			return name.toString();
		}
	}
}
